Bug 1444891 - Error "undefined method `id' for nil:NilClass" in UI when clicked on Refresh embedded Ansible provider
Summary: Error "undefined method `id' for nil:NilClass" in UI when clicked on Refresh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Aziza Karol
URL:
Whiteboard: ansible_embed
Depends On: 1442775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-24 13:40 UTC by Satoe Imaishi
Modified: 2017-05-31 14:58 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442775
Environment:
Last Closed: 2017-05-31 14:58:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-24 14:18:30 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/cfb398ccf8119d12bc739bb99af4e67541d3bb34

commit cfb398ccf8119d12bc739bb99af4e67541d3bb34
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Apr 21 14:41:52 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 24 10:17:43 2017 -0400

    Merge pull request #1059 from mzazrivec/dont_have_embedded_ansible_refresh_always_enabled
    
    Don't have embedded ansible refresh button always enabled
    (cherry picked from commit ff325bf8ff2a407062567ea032f5f22037f278ab)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1444891

 app/helpers/application_helper/toolbar/ansible_credentials_center.rb  | 3 +--
 app/helpers/application_helper/toolbar/ansible_repositories_center.rb | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

Comment 3 Aziza Karol 2017-04-26 05:00:45 UTC
Embedded ansible refresh button disabled.

Verified:
5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:58:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.